Update a stage
curl --request PATCH \
--url https://api.algosmiths.com/api/v1/ticket-pipelines/{pipeline_id}/stages/{stage_id}/ \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"position": 1073741823,
"color": "<string>",
"is_terminal": true,
"pauses_sla": true
}
'import requests
url = "https://api.algosmiths.com/api/v1/ticket-pipelines/{pipeline_id}/stages/{stage_id}/"
payload = {
"name": "<string>",
"position": 1073741823,
"color": "<string>",
"is_terminal": True,
"pauses_sla": True
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
position: 1073741823,
color: '<string>',
is_terminal: true,
pauses_sla: true
})
};
fetch('https://api.algosmiths.com/api/v1/ticket-pipelines/{pipeline_id}/stages/{stage_id}/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": 123,
"name": "<string>",
"ticket_count": "<string>",
"position": 1073741823,
"color": "<string>",
"is_terminal": true,
"pauses_sla": true
}Ticket Stages
Update a stage
PATCH
/
api
/
v1
/
ticket-pipelines
/
{pipeline_id}
/
stages
/
{stage_id}
/
Update a stage
Authorizations
ApiKeyAuthtokenAuthCookieAuth
Workspace API key, e.g. Authorization: Bearer cb_live_.... Create one in Settings → API Keys. See public_api.md § 3 for scopes.
Body
application/jsonapplication/x-www-form-urlencodedmultipart/form-data
⌘I

